package com.adventurer_engine.common.event;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.common.data.globaldata.IGlobalData;
import com.adventurer_engine.network.server2client.SendWorldCalendarPacket;
import cpw.mods.fml.common.ITickHandler;
import cpw.mods.fml.common.TickType;
import cpw.mods.fml.common.network.PacketDispatcher;
import ey;
import java.util.EnumSet;
import js;
import net.minecraft.server.MinecraftServer;

public class RCsTickHandler implements ITickHandler {
  private static final long DAY_TICKS = 24000L;
  
  public static int healNPCbuf = 60;
  
  public void tickStart(EnumSet<TickType> type, Object... tickData) {
    updateCalendar();
    MinecraftServer mc = MinecraftServer.F();
    if (mc.aj() % 900 == 0)
      IGlobalData.saveAll(); 
    healNPCbuf--;
    if (healNPCbuf < 0)
      healNPCbuf = 60; 
  }
  
  public static long lastWorldTime = -1L;
  
  private void updateCalendar() {
    if (!IGlobalData.allInitialed())
      return; 
    MinecraftServer mc = MinecraftServer.F();
    js mainWorld = mc.b[0];
    long currentWorldTime = mainWorld.J();
    long delta = (currentWorldTime - lastWorldTime + 24000L) % 24000L;
    if (lastWorldTime != -1L && delta > 1L) {
      IGlobalData.CALENDAR_DATA.addDataCalendar(delta);
    } else {
      IGlobalData.CALENDAR_DATA.upDataCalendar();
    } 
    currentWorldTime %= 24000L;
    if (currentWorldTime != IGlobalData.CALENDAR_DATA.getCalendarValue() % 24000L)
      IGlobalData.CALENDAR_DATA.setDayTime((int)currentWorldTime); 
    lastWorldTime = currentWorldTime;
    ey pkt = (new SendWorldCalendarPacket(IGlobalData.CALENDAR_DATA.getCalendarValue())).makePacket();
    PacketDispatcher.sendPacketToAllPlayers(pkt);
  }
  
  public void tickEnd(EnumSet<TickType> type, Object... tickData) {}
  
  public EnumSet<TickType> ticks() {
    return EnumSet.of(TickType.SERVER);
  }
  
  public String getLabel() {
    return "RCsTickHandler";
  }
}
